<?php add_action( 'vc_before_init', 'dt_sc_ad_carousel_wrapper_vc_map' );
function dt_sc_ad_carousel_wrapper_vc_map() {

	class WPBakeryShortCode_dt_sc_ad_carousel_wrapper extends WPBakeryShortCodesContainer {
	}

	vc_map( array(
		"name" => esc_html__( "Advanced Carousel", 'dental-core' ),
		"base" => "dt_sc_ad_carousel_wrapper",
		"icon" => "dt_sc_ad_carousel_wrapper",
		"category" => DT_VC_CATEGORY,
		"content_element" => true,
		"js_view" => 'VcColumnView',
		'as_parent' => array( 'only' => 'dt_sc_iconbox, dt_sc_image_caption, dt_sc_team, dt_sc_post, dt_sc_portfolio_item, dt_sc_doctor_item' ),
		'description' => esc_html__( 'Advanced carousel wrapper', 'dental-core' ),
		"params" => array(

			# Visible
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "No.of Items to Visible", 'dental-core' ),
      			"param_name" => "visible",
      			'description' => esc_html__('Enter no.of items to visible. ex: 3'),
				'edit_field_class' => 'vc_col-xs-6'
      		),

			# Scroll
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "No.of Items to Scroll", 'dental-core' ),
      			"param_name" => "scroll",
      			'description' => esc_html__('Enter no.of items to scroll. ex: 1'),
				'edit_field_class' => 'vc_col-xs-6'				
      		),

      		# Auto Start
      		array(
      			'type' => 'dropdown',
				'heading' => esc_html__( 'Auto Start Animation?', 'dental-core' ),
				'param_name' => 'auto',
				'value' => array(
					esc_html__('Yes','dental-core') => 'true',
					esc_html__('No','dental-core') => 'false',
					
				),
				'std' => 'false',
				'edit_field_class' => 'vc_col-xs-6'
			),

			# Animation
			array(
				'type' => 'dropdown',
				'param_name' => 'animation',
				'value' => array(
					esc_html__('None','dental-core') => 'none',
					esc_html__('Scroll','dental-core') => 'scroll',
					esc_html__('Direct Scroll','dental-core') => 'directscroll',
					esc_html__('Cross Fade','dental-core') => 'crossfade',
					esc_html__('Cover','dental-core') => 'cover',
					esc_html__('Uncover','dental-core') => 'uncover',
					esc_html__('Fade','dental-core') => 'fade',
					
				),
				'heading' => esc_html__( 'Animation', 'dental-core' ),
				'description' => esc_html__( 'Select carousel animation', 'dental-core' ),
				'std' => 'scroll',
				'admin_label' => true,
				'edit_field_class' => 'vc_col-xs-6'
			),
			
      		# Navigation
      		array(
      			'type' => 'dropdown',
				'heading' => esc_html__( 'Navigation?', 'dental-core' ),
				'param_name' => 'navigation',
				'value' => array(
					esc_html__('Yes','dental-core') => 'true',
					esc_html__('No','dental-core') => 'false',
					
				),
				'std' => 'true',
				'edit_field_class' => 'vc_col-xs-6'
			),

      		# Pager
      		array(
      			'type' => 'dropdown',
				'heading' => esc_html__( 'Pager?', 'dental-core' ),
				'param_name' => 'pager',
				'value' => array(
					esc_html__('Yes','dental-core') => 'true',
					esc_html__('No','dental-core') => 'false',
					
				),
				'std' => 'false',
				'edit_field_class' => 'vc_col-xs-6'
			),

			# Class
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Extra class name", 'dental-core' ),
      			"param_name" => "class",
      			'description' => esc_html__('Style particular element differently - add a class name and refer to it in custom CSS','dental-core')
      		)			
		)		
	) );
}?>